[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Buttons' (#lcl)

# TCustomSpeedButton.Transparent

Indicates if the control is drawn with transparency.

## Declaration

Source position: buttons.pp line 434

`public property TCustomSpeedButton.Transparent : Boolean read GetTransparent write SetTransparent default True;`

## Description

Transparent is a Boolean property which indicates whether the control is drawn with transparency. Changing the value for the property causes the ControlStyle property to be updated to include or exclude the csOpaque flag as needed, and the control is redrawn. The property value is read from and written to the TransparentMode property in ButtonGlyph.

The property value is passed as an argument to the DrawGlyph method when MeasureDraw is executed. When set to False, the PaintBackground method fills the display area with the background Color when theme element details have transparent areas.